extends Scene

func _ready() -> void:
	_register_setpiece_defaults()
	super._ready()

func _register_setpiece_defaults() -> void:
	for sp in find_children("*", "TransitionPiece"):
		sp.interacted.connect(func(): sp.default_script(self))
		
